Package commoble.morered

# Class MoreRed

java.lang.Object
commoble.morered.MoreRed

public class MoreRed extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`MoreRed.Tags`

## Field Summary

Fields
Modifier and Type
Field
Description
`final net.minecraftforge.registries.RegistryObject<net.minecraft.world.level.block.entity.BlockEntityType<ChanneledPowerStorageBlockEntity>>`
`bitwiseLogicGateBeType`
`final Map<net.minecraft.resources.ResourceLocation,net.minecraftforge.registries.RegistryObject<? extends BitwiseLogicPlateBlock>>`
`bitwiseLogicPlates`
`final net.minecraftforge.registries.RegistryObject<net.minecraft.world.level.block.entity.BlockEntityType<BundledCablePostBlockEntity>>`
`bundledCablePostBeType`
`final net.minecraftforge.registries.RegistryObject<BundledCablePostBlock>`
`bundledCablePostBlock`
`final net.minecraftforge.registries.RegistryObject<net.minecraft.world.level.block.entity.BlockEntityType<BundledCableRelayPlateBlockEntity>>`
`bundledCableRelayPlateBeType`
`final net.minecraftforge.registries.RegistryObject<BundledCableRelayPlateBlock>`
`bundledCableRelayPlateBlock`
`final net.minecraftforge.registries.RegistryObject<net.minecraft.world.item.Item>`
`bundledCableSpoolItem`
`final net.minecraftforge.registries.RegistryObject<net.minecraft.world.level.block.entity.BlockEntityType<BundledCableBlockEntity>>`
`bundledNetworkCableBeType`
`final net.minecraftforge.registries.RegistryObject<BundledCableBlock>`
`bundledNetworkCableBlock`
`static final net.minecraftforge.network.simple.SimpleChannel`
`CHANNEL`
`static final String`
`CHANNEL_PROTOCOL_VERSION`
`final net.minecraftforge.registries.RegistryObject<net.minecraft.world.level.block.entity.BlockEntityType<ColoredCableBlockEntity>>`
`coloredNetworkCableBeType`
`final net.minecraftforge.registries.RegistryObject<HexidecrubrometerBlock>`
`hexidecrubrometerBlock`
`final net.minecraftforge.registries.RegistryObject<LatchBlock>`
`latchBlock`
`static final org.apache.logging.log4j.Logger`
`LOGGER`
`final Map<net.minecraft.resources.ResourceLocation,net.minecraftforge.registries.RegistryObject<? extends LogicFunctionPlateBlock>>`
`logicPlates`
`static final String`
`MODID`
`final net.minecraftforge.registries.RegistryObject<ColoredCableBlock>[]`
`networkCableBlocks`
`final net.minecraftforge.registries.RegistryObject<PulseGateBlock>`
`pulseGateBlock`
`final net.minecraftforge.registries.RegistryObject<net.minecraft.world.item.Item>`
`redAlloyIngotItem`
`final net.minecraftforge.registries.RegistryObject<RedAlloyWireBlock>`
`redAlloyWireBlock`
`final net.minecraftforge.registries.RegistryObject<net.minecraft.world.level.block.entity.BlockEntityType<WirePostBlockEntity>>`
`redwirePostBeType`
`final net.minecraftforge.registries.RegistryObject<WirePostBlock>`
`redwirePostBlock`
`final net.minecraftforge.registries.RegistryObject<WirePostPlateBlock>`
`redwirePostPlateBlock`
`final net.minecraftforge.registries.RegistryObject<WirePostPlateBlock>`
`redwirePostRelayPlateBlock`
`final net.minecraftforge.registries.RegistryObject<WireSpoolItem>`
`redwireSpoolItem`
`final net.minecraftforge.registries.RegistryObject<net.minecraft.world.inventory.MenuType<SolderingMenu>>`
`solderingMenuType`
`final net.minecraftforge.registries.RegistryObject<net.minecraft.world.item.crafting.RecipeType<net.minecraft.world.item.crafting.Recipe<net.minecraft.world.inventory.CraftingContainer>>>`
`solderingRecipeType`
`final net.minecraftforge.registries.RegistryObject<SolderingRecipeSerializer>`
`solderingSerializer`
`final net.minecraftforge.registries.RegistryObject<SolderingTableBlock>`
`solderingTableBlock`
`final net.minecraftforge.registries.RegistryObject<PlateBlock>`
`stonePlateBlock`
`final net.minecraftforge.registries.RegistryObject<net.minecraft.world.item.CreativeModeTab>`
`tab`
`final net.minecraftforge.registries.RegistryObject<net.minecraft.world.level.block.entity.BlockEntityType<WireBlockEntity>>`
`wireBeType`
`final net.minecraftforge.registries.RegistryObject<net.minecraft.world.level.storage.loot.functions.LootItemFunctionType>`
`wireCountLootFunction`

## Constructor Summary

Constructors
Constructor
Description
`MoreRed()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addModListeners(net.minecraftforge.eventbus.api.IEventBus modBus)`
`static MoreRed`
`get()`
`static net.minecraft.resources.ResourceLocation`
`getModRL(String name)`
`<B extends BitwiseLogicPlateBlock>
net.minecraftforge.registries.RegistryObject<B>`
`registerBitwiseLogicGateType(net.minecraftforge.registries.DeferredRegister<net.minecraft.world.level.block.Block> blocks, net.minecraftforge.registries.DeferredRegister<net.minecraft.world.item.Item> items, String name, LogicFunction function, BiFunction<net.minecraft.world.level.block.state.BlockBehaviour.Properties,LogicFunction,B> blockFactory)`
`net.minecraftforge.registries.RegistryObject<LogicFunctionPlateBlock>`
`registerLogicGateType(net.minecraftforge.registries.DeferredRegister<net.minecraft.world.level.block.Block> blocks, net.minecraftforge.registries.DeferredRegister<net.minecraft.world.item.Item> items, String name, LogicFunction function, LogicFunctionPlateBlock.LogicFunctionPlateBlockFactory factory)`
`static void`
`subscribedDeferredRegisters(net.minecraftforge.eventbus.api.IEventBus modBus, net.minecraftforge.registries.DeferredRegister<?>... registers)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MODID

public static final String MODID

See Also:
  - Constant Field Values

### LOGGER

public static final org.apache.logging.log4j.Logger LOGGER

### CHANNEL_PROTOCOL_VERSION

public static final String CHANNEL_PROTOCOL_VERSION

See Also:
  - Constant Field Values

### CHANNEL

public static final net.minecraftforge.network.simple.SimpleChannel CHANNEL

### logicPlates

public final Map<net.minecraft.resources.ResourceLocation,net.minecraftforge.registries.RegistryObject<? extends LogicFunctionPlateBlock>> logicPlates

### bitwiseLogicPlates

public final Map<net.minecraft.resources.ResourceLocation,net.minecraftforge.registries.RegistryObject<? extends BitwiseLogicPlateBlock>> bitwiseLogicPlates

### solderingTableBlock

public final net.minecraftforge.registries.RegistryObject<SolderingTableBlock> solderingTableBlock

### stonePlateBlock

public final net.minecraftforge.registries.RegistryObject<PlateBlock> stonePlateBlock

### latchBlock

public final net.minecraftforge.registries.RegistryObject<LatchBlock> latchBlock

### pulseGateBlock

public final net.minecraftforge.registries.RegistryObject<PulseGateBlock> pulseGateBlock

### redwirePostBlock

public final net.minecraftforge.registries.RegistryObject<WirePostBlock> redwirePostBlock

### redwirePostPlateBlock

public final net.minecraftforge.registries.RegistryObject<WirePostPlateBlock> redwirePostPlateBlock

### redwirePostRelayPlateBlock

public final net.minecraftforge.registries.RegistryObject<WirePostPlateBlock> redwirePostRelayPlateBlock

### hexidecrubrometerBlock

public final net.minecraftforge.registries.RegistryObject<HexidecrubrometerBlock> hexidecrubrometerBlock

### redAlloyWireBlock

public final net.minecraftforge.registries.RegistryObject<RedAlloyWireBlock> redAlloyWireBlock

### networkCableBlocks

public final net.minecraftforge.registries.RegistryObject<ColoredCableBlock>[] networkCableBlocks

### bundledNetworkCableBlock

public final net.minecraftforge.registries.RegistryObject<BundledCableBlock> bundledNetworkCableBlock

### bundledCablePostBlock

public final net.minecraftforge.registries.RegistryObject<BundledCablePostBlock> bundledCablePostBlock

### bundledCableRelayPlateBlock

public final net.minecraftforge.registries.RegistryObject<BundledCableRelayPlateBlock> bundledCableRelayPlateBlock

### redwireSpoolItem

public final net.minecraftforge.registries.RegistryObject<WireSpoolItem> redwireSpoolItem

### bundledCableSpoolItem

public final net.minecraftforge.registries.RegistryObject<net.minecraft.world.item.Item> bundledCableSpoolItem

### redAlloyIngotItem

public final net.minecraftforge.registries.RegistryObject<net.minecraft.world.item.Item> redAlloyIngotItem

### tab

public final net.minecraftforge.registries.RegistryObject<net.minecraft.world.item.CreativeModeTab> tab

### redwirePostBeType

public final net.minecraftforge.registries.RegistryObject<net.minecraft.world.level.block.entity.BlockEntityType<WirePostBlockEntity>> redwirePostBeType

### wireBeType

public final net.minecraftforge.registries.RegistryObject<net.minecraft.world.level.block.entity.BlockEntityType<WireBlockEntity>> wireBeType

### coloredNetworkCableBeType

public final net.minecraftforge.registries.RegistryObject<net.minecraft.world.level.block.entity.BlockEntityType<ColoredCableBlockEntity>> coloredNetworkCableBeType

### bundledNetworkCableBeType

public final net.minecraftforge.registries.RegistryObject<net.minecraft.world.level.block.entity.BlockEntityType<BundledCableBlockEntity>> bundledNetworkCableBeType

### bundledCablePostBeType

public final net.minecraftforge.registries.RegistryObject<net.minecraft.world.level.block.entity.BlockEntityType<BundledCablePostBlockEntity>> bundledCablePostBeType

### bundledCableRelayPlateBeType

public final net.minecraftforge.registries.RegistryObject<net.minecraft.world.level.block.entity.BlockEntityType<BundledCableRelayPlateBlockEntity>> bundledCableRelayPlateBeType

### bitwiseLogicGateBeType

public final net.minecraftforge.registries.RegistryObject<net.minecraft.world.level.block.entity.BlockEntityType<ChanneledPowerStorageBlockEntity>> bitwiseLogicGateBeType

### solderingMenuType

public final net.minecraftforge.registries.RegistryObject<net.minecraft.world.inventory.MenuType<SolderingMenu>> solderingMenuType

### solderingSerializer

public final net.minecraftforge.registries.RegistryObject<SolderingRecipeSerializer> solderingSerializer

### solderingRecipeType

public final net.minecraftforge.registries.RegistryObject<net.minecraft.world.item.crafting.RecipeType<net.minecraft.world.item.crafting.Recipe<net.minecraft.world.inventory.CraftingContainer>>> solderingRecipeType

### wireCountLootFunction

public final net.minecraftforge.registries.RegistryObject<net.minecraft.world.level.storage.loot.functions.LootItemFunctionType> wireCountLootFunction

## Constructor Details

### MoreRed

public MoreRed()

## Method Details

### get

public static MoreRed get()

### getModRL

public static net.minecraft.resources.ResourceLocation getModRL(String name)

### addModListeners

public void addModListeners(net.minecraftforge.eventbus.api.IEventBus modBus)

### subscribedDeferredRegisters

public static void subscribedDeferredRegisters(net.minecraftforge.eventbus.api.IEventBus modBus, net.minecraftforge.registries.DeferredRegister<?>... registers)

### registerLogicGateType

public net.minecraftforge.registries.RegistryObject<LogicFunctionPlateBlock> registerLogicGateType(net.minecraftforge.registries.DeferredRegister<net.minecraft.world.level.block.Block> blocks, net.minecraftforge.registries.DeferredRegister<net.minecraft.world.item.Item> items, String name, LogicFunction function, LogicFunctionPlateBlock.LogicFunctionPlateBlockFactory factory)

### registerBitwiseLogicGateType

public <B extends BitwiseLogicPlateBlock> net.minecraftforge.registries.RegistryObject<B> registerBitwiseLogicGateType(net.minecraftforge.registries.DeferredRegister<net.minecraft.world.level.block.Block> blocks, net.minecraftforge.registries.DeferredRegister<net.minecraft.world.item.Item> items, String name, LogicFunction function, BiFunction<net.minecraft.world.level.block.state.BlockBehaviour.Properties,LogicFunction,B> blockFactory)